Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 56549f565fd13f246a0a72baabe85df1e1ba30bb)
+++ chapter01/changelog.xml	(revision f0b6f135ff55d8b09952387ad1c3cb755d022c10)
@@ -46,4 +46,26 @@
        -->
     <listitem revision="sysv">
+      <para>2019-12-05</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to systemd-244. Fixes
+          <ulink url="&lfs-ticket-root;4554">#4554</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to bc-2.4.0. Fixes
+          <ulink url="&lfs-ticket-root;4556">#4556</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to shadow-4.8. Fixes
+          <ulink url="&lfs-ticket-root;4557">#4557</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to linux-5.4.2. Fixes
+          <ulink url="&lfs-ticket-root;4558">#4558</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem revision="sysv">
       <para>2019-12-02</para>
       <itemizedlist>
@@ -57,5 +79,5 @@
     </listitem>
 
-    <listitem revision="sysv">
+    <listitem>
       <para>2019-12-01</para>
       <itemizedlist>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 56549f565fd13f246a0a72baabe85df1e1ba30bb)
+++ chapter03/patches.xml	(revision f0b6f135ff55d8b09952387ad1c3cb755d022c10)
@@ -117,5 +117,5 @@
       </listitem>
     </varlistentry>
-
+<!--
     <varlistentry revision="systemd">
       <term>Systemd Consolidated Patch - <token>&systemd-consolidated-patch-size;</token>:</term>
@@ -125,5 +125,5 @@
       </listitem>
     </varlistentry>
-
+-->
   </variablelist>
 
Index: chapter06/shadow.xml
===================================================================
--- chapter06/shadow.xml	(revision 56549f565fd13f246a0a72baabe85df1e1ba30bb)
+++ chapter06/shadow.xml	(revision f0b6f135ff55d8b09952387ad1c3cb755d022c10)
@@ -51,6 +51,6 @@
 
     <para>Disable the installation of the <command>groups</command> program
-    and its man pages, as Coreutils provides a better version. Also 
-    Prevent the installation of manual pages that were already installed in
+    and its man pages, as Coreutils provides a better version. Also,
+    prevent the installation of manual pages that were already installed in
     <xref linkend="ch-system-man-pages"/>:</para>
 
@@ -108,8 +108,9 @@
 
 <screen><userinput remap="install">make install</userinput></screen>
-
+    <!--
     <para>Move a misplaced program to its proper location:</para>
 
 <screen><userinput remap="install">mv -v /usr/bin/passwd /bin</userinput></screen>
+    -->
 
     <!-- <para>Move Shadow's libraries to more appropriate locations:</para>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 56549f565fd13f246a0a72baabe85df1e1ba30bb)
+++ chapter06/systemd.xml	(revision f0b6f135ff55d8b09952387ad1c3cb755d022c10)
@@ -40,9 +40,10 @@
   <sect2 role="installation">
     <title>Installation of systemd</title>
-
+<!--
     <para>First, apply a patch to fix various bugs since the release
     of systemd-243.</para>
 
 <screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-consolidated_fixes-2.patch</userinput></screen>
+-->
 
     <para>Create a symlink to work around missing xsltproc:</para>
@@ -69,5 +70,5 @@
     rules:</para>
 
-<screen><userinput remap="pre">sed -i 's/GROUP="render", //' rules/50-udev-default.rules.in</userinput></screen>
+<screen><userinput remap="pre">sed -i 's/GROUP="render", //' rules.d/50-udev-default.rules.in</userinput></screen>
 
     <para>Prepare systemd for compilation:</para>
Index: general.ent
===================================================================
--- general.ent	(revision 56549f565fd13f246a0a72baabe85df1e1ba30bb)
+++ general.ent	(revision f0b6f135ff55d8b09952387ad1c3cb755d022c10)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20191201">
+<!ENTITY version         "SVN-20191205">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20191201-systemd">
+<!ENTITY versiond        "20191205-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 1st, 2019">
+<!ENTITY releasedate     "December 5th, 2019">
 
 <!ENTITY copyrightdate   "1999-2019"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 56549f565fd13f246a0a72baabe85df1e1ba30bb)
+++ packages.ent	(revision f0b6f135ff55d8b09952387ad1c3cb755d022c10)
@@ -51,10 +51,10 @@
 <!ENTITY bash-ch6-sbu "2.1 SBU">
 
-<!ENTITY bc-version "2.3.2">
-<!ENTITY bc-size "242 KB">
+<!ENTITY bc-version "2.4.0">
+<!ENTITY bc-size "244 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/archive/&bc-version;/bc-&bc-version;.tar.gz">
-<!ENTITY bc-md5 "89e9063e852b3f84b010b836f815f88f">
+<!ENTITY bc-md5 "7cd18d7658216df1340beecbb5bfa610">
 <!ENTITY bc-home "https://github.com/gavinhoward/bc">
-<!ENTITY bc-ch6-du "2.8 MB">
+<!ENTITY bc-ch6-du "2.9 MB">
 <!ENTITY bc-ch6-sbu "0.1 SBU">
 
@@ -431,10 +431,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "4">
-<!ENTITY linux-patch-version "1">
+<!ENTITY linux-patch-version "2">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "106,871 KB">
+<!ENTITY linux-size "106,884 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "1e62d81b5da8df7c45f6ca159edeeb17">
+<!ENTITY linux-md5 "07a4df090466eb7b24eec5fe4fbd5500">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -622,8 +622,8 @@
 <!ENTITY sed-ch6-sbu "0.4 SBU">
 
-<!ENTITY shadow-version "4.7">
-<!ENTITY shadow-size "1,587 KB">
+<!ENTITY shadow-version "4.8">
+<!ENTITY shadow-size "1,572 KB">
 <!ENTITY shadow-url "&github;/shadow-maint/shadow/releases/download/&shadow-version;/shadow-&shadow-version;.tar.xz">
-<!ENTITY shadow-md5 "f7ce18c8dfd05f1a009266cb604d58b7">
+<!ENTITY shadow-md5 "723ebb19b06e2f52d9ed7f0653483851">
 <!ENTITY shadow-home "https://pkg-shadow.alioth.debian.org/"> 
 <!ENTITY shadow-ch6-du "46 MB">
@@ -638,17 +638,17 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "243">
+<!ENTITY systemd-version  "244">
 <!--<!ENTITY systemd-stable   "6b4878d">-->
 <!-- The above entity is used whenever we move to a stable backport branch. In the event of a critical problem or kernel
      change that is incompatible, we will switch to the backport branch until the next stable release. -->
-<!ENTITY systemd-size     "8,052 KB">
+<!ENTITY systemd-size     "8,252 KB">
 <!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
 <!--<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">-->
-<!ENTITY systemd-md5      "ca2403fa7dff73afd2e896b4cb25021b">
+<!ENTITY systemd-md5      "413121fe918b252ae62310f6fc7c4b32">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "504 KB">
+<!ENTITY systemd-man-size "508 KB">
 <!--<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">-->
 <!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;.tar.xz">
-<!ENTITY systemd-man-md5  "22278b3c8fa27323b5baafffb093f0f0">
+<!ENTITY systemd-man-md5  "1839ad557eb376d22853cac54d00de77">
 <!ENTITY systemd-ch6-du   "228 MB">
 <!ENTITY systemd-ch6-sbu  "1.8 SBU">
Index: patches.ent
===================================================================
--- patches.ent	(revision 56549f565fd13f246a0a72baabe85df1e1ba30bb)
+++ patches.ent	(revision f0b6f135ff55d8b09952387ad1c3cb755d022c10)
@@ -58,6 +58,8 @@
 <!ENTITY sysvinit-consolidated-patch-size "2.4 KB">
 
+<!-- Use if there is a need to create another consolidated patch. 
+     So far, with 244, all is quiet.
 <!ENTITY systemd-consolidated-patch "systemd-&systemd-version;-consolidated_fixes-2.patch">
 <!ENTITY systemd-consolidated-patch-md5 "2bad2992f4373eb925885f2ea2fb8d14">
 <!ENTITY systemd-consolidated-patch-size "64 KB">
-
+-->
